Classes | Namespaces | Typedefs | Functions
geometry.h File Reference
`#include <vector>`
`#include <librevenge/librevenge.h>`
`#include "PMDTypes.h"`
`#include "Units.h"`
`#include "constants.h"`
`#include "libpagemaker_utils.h"`

Go to the source code of this file.

## Classes
struct | libpagemaker::Point< Unit >
struct | libpagemaker::PMDXForm
class | libpagemaker::PMDLineSet
class | libpagemaker::PMDLine
class | libpagemaker::PMDPolygon
class | libpagemaker::PMDTextBox
class | libpagemaker::PMDRectangle
class | libpagemaker::PMDEllipse
class | libpagemaker::PMDBitmap
class | libpagemaker::TransformationMatrix

## Namespaces
namespace | libpagemaker

## Typedefs
typedef Point< PMDShapeUnit > | libpagemaker::PMDShapePoint
typedef Point< double > | libpagemaker::InchPoint

## Functions
std::pair< InchPoint, InchPoint > | libpagemaker::getBoundingBox (const PMDLineSet &lineSet, const TransformationMatrix &matrix)